Page MenuHomePhabricator

Reconfigure wikimedia/security/tooling git repository
Closed, ResolvedPublic

Description

The wikimedia/security/tooling repository needs some reconfiguration.

TODO:

  • Create separate repos for significant tools outside of the tooling directory, e.g. wikimedia/security/{toolname}. Currently, this should include:
  • Update wikimedia/security/tooling README to better described how tool repositories should be organized, created and maintained. (c623059)
  • Create a helpful README for the wikimedia/security repo which provides locations for current, relevant security tools. (merged this into tooling repo README above)
  • Archive and delete? blank? the wikimedia/security/automated-scanning repository (T247468).
  • Add a new section to the Security-Team handbook which notes all of the above, upon completion. (edit)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2020, 10:43 PM
sbassett triaged this task as Medium priority.Feb 27 2020, 10:44 PM
sbassett moved this task from Incoming to Watching on the Security-Team board.
sbassett moved this task from Backlog to In Progress on the user-sbassett board.
sbassett updated the task description. (Show Details)Mar 6 2020, 9:11 PM

Commands used to create new repos, per doc:

  1. ssh -p 29418 gerrit.wikimedia.org gerrit create-project --require-change-id --owner=wikimedia-security --parent=wikimedia/security --description='"Repository for Deployer Audit tool"' wikimedia/security/deployer-audit
  2. ssh -p 29418 gerrit.wikimedia.org gerrit create-project --require-change-id --owner=wikimedia-security --parent=wikimedia/security --description='"Repository for Git Monitor tool"' wikimedia/security/gitmonitor
  3. ssh -p 29418 gerrit.wikimedia.org gerrit create-project --require-change-id --owner=wikimedia-security --parent=wikimedia/security --description='"Repository for PHP Security Tools"' wikimedia/security/php-security-tools
  4. ssh -p 29418 gerrit.wikimedia.org gerrit create-project --require-change-id --owner=wikimedia-security --parent=wikimedia/security --description='"Repository for Spam Accounts Statistics tool"' wikimedia/security/spamaccountstats
  5. ssh -p 29418 gerrit.wikimedia.org gerrit create-project --require-change-id --owner=wikimedia-security --parent=wikimedia/security --description='"Repository for Gerrit and Phabricator User Tracker tool"' wikimedia/security/usertracker
sbassett updated the task description. (Show Details)Mar 6 2020, 9:34 PM
sbassett updated the task description. (Show Details)Mar 6 2020, 10:02 PM
sbassett updated the task description. (Show Details)Mar 6 2020, 10:21 PM
sbassett changed the task status from Open to Stalled.Mar 6 2020, 10:30 PM
sbassett updated the task description. (Show Details)

Stalling until T247136 is resolved.

sbassett updated the task description. (Show Details)Mar 6 2020, 10:39 PM
sbassett changed the task status from Stalled to Open.Mar 6 2020, 10:41 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Mar 11 2020, 9:46 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Mar 12 2020, 7:39 PM

Change 623059 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/tooling@master] wikimedia/security/tooling repository cleanup

https://gerrit.wikimedia.org/r/623059

sbassett updated the task description. (Show Details)Aug 28 2020, 8:52 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Aug 28 2020, 9:15 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Aug 28 2020, 9:17 PM

Change 623065 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/deployer-audit@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623065

Change 623066 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/gitmonitor@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623066

Change 623417 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/php-security-tools@master] README update

https://gerrit.wikimedia.org/r/623417

Change 623419 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/spamaccountstats@master] README and tox.ini updates

https://gerrit.wikimedia.org/r/623419

Change 623420 had a related patch set uploaded (by SBassett; owner: SBassett):
[wikimedia/security/usertracker@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623420

sbassett updated the task description. (Show Details)Mon, Aug 31, 4:36 PM

Change 623425 had a related patch set uploaded (by SBassett; owner: SBassett):
[integration/config@master] Adding tox support for wikimedia/security repositories

https://gerrit.wikimedia.org/r/623425

sbassett updated the task description. (Show Details)Mon, Aug 31, 5:03 PM

Change 623425 merged by jenkins-bot:
[integration/config@master] Adding tox support for wikimedia/security repositories

https://gerrit.wikimedia.org/r/623425

Mentioned in SAL (#wikimedia-releng) [2020-08-31T17:36:50Z] <James_F> Zuul: Install CI for new wikimedia/security repositories T246392

Change 623059 merged by jenkins-bot:
[wikimedia/security/tooling@master] wikimedia/security/tooling repository cleanup

https://gerrit.wikimedia.org/r/623059

Change 623065 merged by jenkins-bot:
[wikimedia/security/deployer-audit@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623065

Change 623066 merged by jenkins-bot:
[wikimedia/security/gitmonitor@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623066

Change 623419 merged by jenkins-bot:
[wikimedia/security/spamaccountstats@master] README and tox.ini updates

https://gerrit.wikimedia.org/r/623419

Change 623420 merged by jenkins-bot:
[wikimedia/security/usertracker@master] README, LICENSE and tox.ini updates

https://gerrit.wikimedia.org/r/623420

sbassett closed this task as Resolved.Mon, Aug 31, 7:01 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)
sbassett moved this task from Watching to Our Part Is Done on the Security-Team board.
sbassett moved this task from In Progress to Done on the user-sbassett board.
sbassett removed a project: Patch-For-Review.

Change 623417 merged by SBassett:
[wikimedia/security/php-security-tools@master] README update

https://gerrit.wikimedia.org/r/623417